<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_kernels.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_kernels.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>The list of supported kernels in the TIOVX. </p>

<p><a href="tivx__kernels_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tivx__kernels_8h.html#af0c0aebc1ceb4f912f8b67f5f6f845f2">tivx_library_e</a> { <a class="el" href="tivx__kernels_8h.html#af0c0aebc1ceb4f912f8b67f5f6f845f2a17a99e8e66c2e2e5fbe2abbcd223e2e2">TIVX_LIBRARY_IVISION_BASE</a> =  0, 
<a class="el" href="tivx__kernels_8h.html#af0c0aebc1ceb4f912f8b67f5f6f845f2a7330534414063ef8070254205d07e6c8">TIVX_LIBRARY_TUTORIAL_BASE</a> =  1
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>The list of available libraries in tivx. </p>
 <a href="tivx__kernels_8h.html#af0c0aebc1ceb4f912f8b67f5f6f845f2">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tivx__kernels_8h.html#a9c6e5bd89004bbe36d50e060c836358c">tivx_kernel_ivision_e</a> { <a class="el" href="tivx__kernels_8h.html#a9c6e5bd89004bbe36d50e060c836358cac5c1ee03960b31627da5527902fa24ee">TIVX_KERNEL_IVISION_HARRIS_CORNERS</a> =  VX_KERNEL_BASE(VX_ID_TI, TIVX_LIBRARY_IVISION_BASE) + 0x0, 
<a class="el" href="tivx__kernels_8h.html#a9c6e5bd89004bbe36d50e060c836358cae16839efd213f8c50f9d0536055aba2c">TIVX_KERNEL_IVISION_MAX_1_0</a>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>The list of kernels supported in ivision. </p>
 <a href="tivx__kernels_8h.html#a9c6e5bd89004bbe36d50e060c836358c">More...</a><br/></td></tr>
</table>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="af0c0aebc1ceb4f912f8b67f5f6f845f2"></a><!-- doxytag: member="tivx_kernels.h::tivx_library_e" ref="af0c0aebc1ceb4f912f8b67f5f6f845f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="tivx__kernels_8h.html#af0c0aebc1ceb4f912f8b67f5f6f845f2">tivx_library_e</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The list of available libraries in tivx. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="af0c0aebc1ceb4f912f8b67f5f6f845f2a17a99e8e66c2e2e5fbe2abbcd223e2e2"></a><!-- doxytag: member="TIVX_LIBRARY_IVISION_BASE" ref="af0c0aebc1ceb4f912f8b67f5f6f845f2a17a99e8e66c2e2e5fbe2abbcd223e2e2" args="" -->TIVX_LIBRARY_IVISION_BASE</em>&nbsp;</td><td>
<p>The set of kernels supported in ivision. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="af0c0aebc1ceb4f912f8b67f5f6f845f2a7330534414063ef8070254205d07e6c8"></a><!-- doxytag: member="TIVX_LIBRARY_TUTORIAL_BASE" ref="af0c0aebc1ceb4f912f8b67f5f6f845f2a7330534414063ef8070254205d07e6c8" args="" -->TIVX_LIBRARY_TUTORIAL_BASE</em>&nbsp;</td><td>
<p>The set of target kernels implemented as part of TI OpenVX tutorial. </p>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<a class="anchor" id="a9c6e5bd89004bbe36d50e060c836358c"></a><!-- doxytag: member="tivx_kernels.h::tivx_kernel_ivision_e" ref="a9c6e5bd89004bbe36d50e060c836358c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="tivx__kernels_8h.html#a9c6e5bd89004bbe36d50e060c836358c">tivx_kernel_ivision_e</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The list of kernels supported in ivision. </p>
<p>Each kernel listed here can be used with the <code>vxGetKernelByEnum</code> call. When programming the parameters, use </p>
<ul>
<li><code><a class="el" href="vx__types_8h.html#a4a11207b7fcf1135615b4ae11624f9edaf035abd15d4ce563ddb52e0ae68a9585">VX_INPUT</a></code> for [in] </li>
<li><code><a class="el" href="vx__types_8h.html#a4a11207b7fcf1135615b4ae11624f9eda866b82225216ce016a62aa0a7b356ebd">VX_OUTPUT</a></code> for [out] </li>
<li><code><a class="el" href="vx__types_8h.html#a4a11207b7fcf1135615b4ae11624f9edaa2abfee3a4bfec8ce3faac784a815cda">VX_BIDIRECTIONAL</a></code> for [in,out]</li>
</ul>
<p>When programming the parameters, use </p>
<ul>
<li><code><a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6ae6f1e4302792e3bce711e92024a8da1e">VX_TYPE_IMAGE</a></code> for a <code><a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a></code> in the size field of <code>vxGetParameterByIndex</code> or <code>vxSetParameterByIndex</code> * </li>
<li><code><a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6a5edffe1547cd05513c7b079eed37d2b5">VX_TYPE_ARRAY</a></code> for a <code><a class="el" href="vx__types_8h.html#ab1f0193f8a470dd2fe10de539a533697">vx_array</a></code> in the size field of <code>vxGetParameterByIndex</code> or <code>vxSetParameterByIndex</code> * </li>
<li>or other appropriate types in <a class="el" href="vx__types_8h.html#a44aa67e15168e5912a0800090a120be6">vx_type_e</a>. </li>
</ul>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a9c6e5bd89004bbe36d50e060c836358cac5c1ee03960b31627da5527902fa24ee"></a><!-- doxytag: member="TIVX_KERNEL_IVISION_HARRIS_CORNERS" ref="a9c6e5bd89004bbe36d50e060c836358cac5c1ee03960b31627da5527902fa24ee" args="" -->TIVX_KERNEL_IVISION_HARRIS_CORNERS</em>&nbsp;</td><td>
<p>The Harris Corners Kernel. </p>
<dl class="see"><dt><b>See also:</b></dt><dd>group_vision_function_harris </dd></dl>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a9c6e5bd89004bbe36d50e060c836358cae16839efd213f8c50f9d0536055aba2c"></a><!-- doxytag: member="TIVX_KERNEL_IVISION_MAX_1_0" ref="a9c6e5bd89004bbe36d50e060c836358cae16839efd213f8c50f9d0536055aba2c" args="" -->TIVX_KERNEL_IVISION_MAX_1_0</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
